package tech.nevets.todoserver;

import com.google.gson.Gson;
import com.google.gson.JsonObject;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.io.*;

public class JSONLoader {
    private static final Logger LOGGER = LoggerFactory.getLogger(JSONLoader.class);
    private static final Gson GSON = new Gson();

    public static JsonObject loadJsonFile(File jsonFile) {
        JsonObject json;
        try {
            json = GSON.fromJson(new FileReader(jsonFile), JsonObject.class);
        } catch (IOException e) {
            e.printStackTrace();
            json = null;
        }
        return json;
    }

    public static void saveJsonFile(String filePath, Object json) {
        File jsonFile = new File(filePath);
        FileWriter writer;
        try {
            writer = new FileWriter(jsonFile);
            writer.write(GSON.toJson(json));
            writer.flush();
            writer.close();
        } catch (IOException e) {
            LOGGER.error("Error saving jsonFile...");
            e.printStackTrace();
        }
    }
}
